<template name="emailRequest">
  {{#if showEmailRequest}}
    {{> emailRequestModal}}
  {{/if}}
</template>

<template name="emailRequestModal">
  <div class="js-email-request-modal modal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-sm" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">
            <i class="fa-solid fa-circle-exclamation fa-fw" aria-hidden="true"></i>
            {{i18n 'emailrequest.title' 'Add e-mail address'}}
          </h4>
          <button type="button" class="btn-close" data-bs-dismiss="modal"
                  aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form>
            <p>
              {{i18n 'emailrequest.text.greeting' 'Hey "{NAME}"' NAME=currentUser.getDisplayName}}
            </p>
            <p>
              {{i18n 'emailrequest.text.para1' 'We’ve noticed that you did not provide your e-mail address yet.'}}
            </p>
            <p>
              {{i18n 'emailrequest.text.para2' 'Providing an email-address ensures you stay informed when you join a course and allows the mentor / other users to send you direct messages. It is easy to unsubscribe from such notifications and your user data will stay protected and is never traded.'}}
            </p>
            <div class="mb-3 {{errorClass 'email'}}">
              <div class="input-group">
                <span class="input-group-text">
                  <span class="fa-solid fa-envelope fa-fw" aria-hidden="true"></span>
                </span>
                <input class="form-control js-email"
                       placeholder="{{i18n 'frame.login.email' 'E-Mail' attr=true}}" type="email" />
              </div>
              {{errorMessage 'email'}}
            </div>
            <div class="mb-3">
              {{> buttonSave event="js-save-email form-control"}}
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>
